package com.admin.major.domain;

import com.admin.common.annotation.Excel;
import com.admin.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 专业管理对象 m_major_info
 * 
 * @author zewei
 * @date 2022-03-25
 */
public class MajorInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 专业id */
    private String majorId;

    /** 专业名称 */
    @Excel(name = "专业名称")
    private String majorName;

    /** 计划数 */
    @Excel(name = "计划数")
    private Long planNum;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 更新用户 */
    @Excel(name = "更新用户")
    private Long updateUserId;

    /** 创建用户 */
    @Excel(name = "创建用户")
    private Long createUserId;

    /** 学院id */
    @Excel(name = "学院id")
    private Long collegeId;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    public void setMajorId(String majorId) 
    {
        this.majorId = majorId;
    }

    public String getMajorId() 
    {
        return majorId;
    }
    public void setMajorName(String majorName) 
    {
        this.majorName = majorName;
    }

    public String getMajorName() 
    {
        return majorName;
    }
    public void setPlanNum(Long planNum) 
    {
        this.planNum = planNum;
    }

    public Long getPlanNum() 
    {
        return planNum;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setUpdateUserId(Long updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId() 
    {
        return updateUserId;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }
    public void setCollegeId(Long collegeId) 
    {
        this.collegeId = collegeId;
    }

    public Long getCollegeId() 
    {
        return collegeId;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("majorId", getMajorId())
            .append("majorName", getMajorName())
            .append("planNum", getPlanNum())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("updateUserId", getUpdateUserId())
            .append("createUserId", getCreateUserId())
            .append("collegeId", getCollegeId())
            .append("year", getYear())
            .toString();
    }
}
